Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class GraphicsObject

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.CompositeObject
              org.pdfclown.documents.contents.objects.GraphicsObject

Direct Known Subclasses:
  InlineImage, Path, Shading, Text, XObject

    @PDF(value=PDF10)
    public abstract class GraphicsObject

extends CompositeObject

Graphics object [PDF:1.6:4.1].

Since:
  0.0.4
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary

Fields inherited from class org.pdfclown.documents.contents.objects.CompositeObject
`objects`

Constructor Summary
`protected` | `GraphicsObject()`
`protected` | `GraphicsObject(ContentObject... objects)`
`protected` | `GraphicsObject(ContentObject object)`
`protected` | `GraphicsObject(List<ContentObject> objects)`

Method Summary

Methods inherited from class org.pdfclown.documents.contents.objects.CompositeObject
`createRenderObject, getHeader, getObjects, render, scan, setHeader, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphicsObject

    protected GraphicsObject()

### GraphicsObject

    protected GraphicsObject(ContentObject object)

### GraphicsObject

    protected GraphicsObject(ContentObject... objects)

### GraphicsObject

    protected GraphicsObject(List<ContentObject> objects)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.